Subject: bash does not accept "set ouput-meta"
From: "Wolfgang Schnerring" <[email-masked]>
To: [email-masked]
Date: Sat, 23 Nov 2002 13:44:50 +0100

Hello !

I'm having trouble with German umlauts. They work fine with
vim, cat, mutt and so on, but don't work in less and bash itself.
Thus I get:
  $ cat
  äöü
but
  $ \344\366\374

and less doesn't display them at all, although I set LESSCHARSET=iso8859
as advised. But I'm not that concerned over less anyway.

My ~/.inputrc looks like this:
---
set completion-ignore-case On
set show-all-if-ambiguous On

set meta-flag On
set output-meta On
set convert-meta Off
---

BUT:
  $ bind -v
set blink-matching-paren on
set byte-oriented on
set completion-ignore-case on
set convert-meta off
set disable-completion off
set enable-keypad off
set expand-tilde off
set history-preserve-point off
set horizontal-scroll-mode off
set input-meta on
set mark-directories on
set mark-modified-lines off
set mark-symlinked-directories off
set match-hidden-files on
set meta-flag on
set output-meta off   <<<  !!!
set page-completions on
set prefer-visible-bell on
set print-completions-horizontally off
set show-all-if-ambiguous on
set visible-stats off
set bell-style audible
set comment-begin #
set completion-query-items 100
set editing-mode emacs
set keymap emacs

It seems that bash just doesn't accept the ON-value for output-meta.
(I made sure the .inputrc-file is really read.)

Any ideas ?

Thank you for your help
Wolfgang Schnerring

Environment infos:
- I'm running Windows 2000

- $ bash --version
  GNU bash, version 2.05b.0(7)-release (i686-pc-cygwin)
  Copyright (C) 2002 Free Software Foundation, Inc.
- rxvt version: 2.7.2

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/